## tdebase-trinity 14.1.4

=== debian/changelog ===
tdebase-trinity (4:14.1.4-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 17 Apr 2025 09:21:14 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DBUILD_TDM_SYSTEMD_UNIT_FILE="ON" \
 -DSYSTEMDSYSTEMUNITDIR="/lib/systemd/system" \
 -DKCHECKPASS_PAM_SERVICE="kcheckpass-trinity" \
 -DTDM_PAM_SERVICE="tdm-trinity" \
 -DTDESCREENSAVER_PAM_SERVICE="tdescreensaver-trinity" \
 -DWITH_GCC_VISIBILITY="ON" \
 -DWITH_USBIDS="/usr/share/misc/usb.ids" \
 -DWITH_ARTS="ON" \
 -DWITH_PAM="ON" \
 -DWITH_SASL="ON" \
 -DWITH_ELFICON="ON" \
 -DWITH_SUDO_TDESU_BACKEND="OFF" \
 -DWITH_SUDO_KONSOLE_SUPER_USER_COMMAND="ON" \
 -DWITH_LDAP="ON" \
 -DWITH_SAMBA="ON" \
 -DWITH_SFTP="ON" \
 -DWITH_LIBUSB="ON" \
 -DWITH_LIBRAW1394="ON" \
 -DWITH_OPENEXR="ON" \
 -DWITH_XCOMPOSITE="ON" \
 -DWITH_XCURSOR="ON" \
 -DWITH_XFIXES="ON" \
 -DWITH_XRANDR="ON" \
 -DWITH_XINERAMA="ON" \
 -DWITH_SENSORS="ON" \
 -DWITH_TDEHWLIB="ON" \
 -DWITH_XDMCP="ON" \
 -DWITH_XRENDER="ON" \
 -DWITH_XTEST="ON" \
 -DWITH_OPENGL="ON" \
 -DWITH_XSCREENSAVER="ON" \
 -DWITH_UPOWER="ON" \
 -DWITH_LIBART="ON" \
 -DWITH_LIBCONFIG="ON" \
 -DWITH_PCRE2="ON" \
 -DWITH_KRB5="ON"

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/kcheckpass    \
	opt/trinity/bin/tdekbdledsync \
	opt/trinity/bin/tdesud    \
	opt/trinity/bin/tdmtsak

DEB_DH_STRIP_ARGS  := --dbg-package=tdebase-trinity-dbg

DEB_DH_INSTALLINIT_ARGS := --no-start --no-stop-on-upgrade --no-restart-after-upgrade
DEB_DH_SYSTEMD_START_ARGS := --no-start --no-stop-on-upgrade --no-restart-after-upgrade

DOC_HTML_PRUNE := ksplashml kcontrol khelpcenter tdesu knetattach tdeioslave kxkb tdedebugdialog kdcop

PACKAGES_WITH_LIBS := kate-trinity kcontrol-trinity tdebase-trinity-bin kicker-trinity konqueror-trinity ksplash-trinity \
			ksysguard-trinity twin-trinity libkonq4-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

common-install-prehook-arch::
	grep -v -e joystick -e view1394  debian/kcontrol-trinity.install > debian/kcontrol-trinity.install.kfreebsd-i386
	grep -v -e joystick -e view1394  debian/kcontrol-trinity.install > debian/kcontrol-trinity.install.kfreebsd-amd64
	grep -v -e media_propsdlgplugin  debian/tdebase-tdeio-plugins-trinity.install > debian/tdebase-tdeio-plugins-trinity.install.kfreebsd-i386
	grep -v -e media_propsdlgplugin  debian/tdebase-tdeio-plugins-trinity.install > debian/tdebase-tdeio-plugins-trinity.install.kfreebsd-amd64

clean::
	rm -f debian/kcontrol-trinity.install.kfreebsd* debian/tdebase-tdeio-plugins-trinity.install.kfreebs*

binary-install/tdebase-data-trinity::
	# hack the oui.db install, as under kfreebsd it does not get installed and then breaks at dh_install time
	# it's in fact a linux specific file...
	install -p -D -m644 kcontrol/view1394/oui.db debian/tdebase-data-trinity/opt/trinity/share/apps/kcmview1394/oui.db
	install -p -D -m644 debian/tmp/etc/xdg/menus/applications-merged/tde-essential.menu debian/tdebase-data-trinity/opt/trinity/etc/xdg/menus/applications-merged/tde-essential.menu
	install -p -D -m644 debian/tmp/etc/xdg/menus/tde-screensavers.menu debian/tdebase-data-trinity/opt/trinity/etc/xdg/menus/tde-screensavers.menu
	install -p -D -m644 debian/tmp/etc/xdg/menus/tde-settings.menu debian/tdebase-data-trinity/opt/trinity/etc/xdg/menus/tde-settings.menu

install/tdm-trinity::
	#sed -i 's/#UseTheme=true/UseTheme=true/g' debian/tmp/etc/trinity/tdm/tdmrc
	#sed -i 's/Theme=@@@ToBeReplacedByDesktopBase@@@/Theme=\/opt\/trinity\/share\/apps\/tdm\/themes\/kubuntu-trinity/g' debian/tmp/etc/trinity/tdm/tdmrc

binary-install/tdm-trinity::
	mkdir -p debian/tdm-trinity/etc/init
	install -p -D -m644 debian/tdm-trinity.conf debian/tdm-trinity/etc/init/tdm-trinity.conf
	install -p -D -m644 debian/tdm-trinity.pam debian/tdm-trinity/etc/pam.d/tdm-trinity
	install -p -D -m644 debian/tdm-trinity-np.pam debian/tdm-trinity/etc/pam.d/tdm-trinity-np
	
	install -p -D -m644 debian/tdm-trinity.needrestart debian/tdm-trinity/etc/needrestart/conf.d/tdm-trinity.conf

binary-install/kcontrol-trinity::
	mkdir -p debian/$(cdbs_curpkg)/etc/udev/rules.d
	chmod +x debian/usermap.pl
	debian/usermap.pl kcontrol/input/logitechmouse.usermap > debian/$(cdbs_curpkg)/etc/udev/logitechmouse.rules

install/klipper-trinity::
	sed -i '/X-Ubuntu-Gettext-Domain=/d' debian/tmp/etc/trinity/klipperrc

binary-install/tdebase-trinity-bin::
	install -p -D -m644 debian/kcheckpass-trinity.pam debian/tdebase-trinity-bin/etc/pam.d/kcheckpass-trinity
	install -p -D -m644 debian/tdescreensaver-trinity.pam debian/tdebase-trinity-bin/etc/pam.d/tdescreensaver-trinity
	mkdir -p debian/tdebase-trinity-bin/opt/trinity/share/apps/kxkb/
	install -p -D -m644 debian/ubuntu.xmodmap debian/tdebase-trinity-bin/opt/trinity/share/apps/kxkb/system.xmodmap
	install -p -D -m644 debian/80ubuntu-xmodmap debian/tdebase-trinity-bin/etc/X11/Xsession.d/80ubuntu-trinity-xmodmap
	mkdir -p debian/tdebase-trinity-bin/opt/trinity/share/autostart/

binary-install/ksmserver-trinity::
	install -p -D -m644 debian/tmp/opt/trinity/share/apps/tdm/sessions/tde.desktop debian/ksmserver-trinity/usr/share/xsessions/trinity.desktop

## tdebase-trinity 14.1.5~pre48

=== debian/changelog ===
tdebase-trinity (4:14.1.5~pre48-0ubuntu25.10.1+4) questing; urgency=low

  * Automated git build for cea9fcba158a092c2fc9b621152754a8ef712254
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 13 Oct 2025 01:24:37 +0200

## tdebase-trinity 14.1.5

=== drkonqi/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( presets )
add_subdirectory( pics )
add_subdirectory( debuggers )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBR_INCLUDEDIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${LIBR_LIBRARY_DIRS}
)


##### drkonqi (executable) ######################

tde_add_executable( drkonqi AUTOMOC
  SOURCES
    krashdcopinterface.skel main.cpp debugger.cpp
    bugdescription.cpp bugdescriptiondialog.cpp
    sha1.cpp krashconf.cpp drbugreport.cpp
    backtrace.cpp toplevel.cpp
  LINK tdeio-shared ${TDEHW_LIBRARIES} ${LIBR_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)

##### crashtest (executable) ######################

if( BUILD_CRASHTEST )
  tde_add_executable( crashtest AUTOMOC
    SOURCES
      crashtest.cpp
    LINK tdeio-shared
    DESTINATION ${BIN_INSTALL_DIR}
  )
endif( BUILD_CRASHTEST )

=== kcheckpass/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

if( HAVE_PAM )
  add_definitions( -DHAVE_PAM )
endif( )

include_directories(
  ${CMAKE_BINARY_DIR}
)


##### kcheckpass (executable) ###################

tde_add_executable( kcheckpass AUTOMOC
  SOURCES
    kcheckpass.c checkpass_pam.c
    checkpass_shadow.c checkpass_osfc2passwd.c checkpass_aix.c
  LINK tdefakes-shared ${CRYPT_LIBRARY} ${PAM_LIBRARY}
  DESTINATION ${BIN_INSTALL_DIR}
  SETUID
)

=== kdcop/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdcopui.rc DESTINATION ${DATA_INSTALL_DIR}/kdcop )
tde_create_translated_desktop( kdcop.desktop )


##### kdcop (executable) ########################

tde_add_executable( kdcop AUTOMOC
  SOURCES
    kdcop.cpp kdcopwindow.cpp kdcoplistview.cpp kdcopview.ui
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kdialog/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kdialog (executable) ######################

tde_add_executable( kdialog AUTOMOC
  SOURCES
    kdialog.cpp widgets.cpp tdelistboxdialog.cpp
    progressdialog.cpp progressdialogiface.skel
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kpager/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### icons #######################

tde_install_icons()

##### other data ################################

tde_create_translated_desktop( kpager.desktop )
install( FILES uninstall.desktop DESTINATION ${APPS_INSTALL_DIR}/Utilities RENAME kpager.desktop )


##### kpager (executable) #######################

tde_add_executable( kpager AUTOMOC
  SOURCES
    desktop.cpp kpager.cpp config.cpp windowdrag.cpp
    kpagerIface.skel main.cpp
  LINK tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kreadconfig/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kreadconfig (executable) ##################

tde_add_executable( kreadconfig
  SOURCES kreadconfig.cpp
  LINK tdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kwriteconfig (executable) #################

tde_add_executable( kwriteconfig
  SOURCES kwriteconfig.cpp
  LINK tdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== ksmserver/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

if( NOT DBUS_SYSTEM_BUS )
  set( DBUS_SYSTEM_BUS "unix:path=/var/run/dbus/system_bus_socket" CACHE INTERNAL "" FORCE )
endif()

if( WITH_UPOWER )
  add_definitions( -DWITH_UPOWER )
endif( )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/tdmlib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES shutdown.png DESTINATION ${DATA_INSTALL_DIR}/ksmserver/pics )
install( FILES shutdownkonq.png DESTINATION ${DATA_INSTALL_DIR}/ksmserver/pics )
install( FILES ksmserver.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )
install( FILES move_session_config.sh DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )


##### ksmserver (tdeinit) #######################

tde_add_tdeinit_executable( ksmserver AUTOMOC
  SOURCES
    main.cpp server.cpp shutdowndlg.cpp startupdlg.cpp
    legacy.cpp startup.cpp shutdown.cpp client.cpp
    KSMServerInterface.skel server.skel timed.ui
  LINK dmctl-static tdeui-shared tdersync-shared ${TDEHW_LIBRARIES}
)

=== pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( crystalsvg )
add_subdirectory( wallpapers )

=== tdeprint/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( printmgr )
add_subdirectory( kjobviewer )
add_subdirectory( kprinter )
add_subdirectory( tdeprintfax )
add_subdirectory( slave )
add_subdirectory( tdeprint_part )

=== applnk/compat/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translated_desktop(
  SOURCE
    battery.desktop bwarning.desktop cwarning.desktop
    power.desktop kcmkonq.desktop kcmkxmlrpcd.desktop
    konqhtml.desktop socks.desktop virtualdesktops.desktop
    email.desktop userinfo.desktop passwords.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
  PO_DIR applnk-compat
)

=== doc/kicker/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kicker )

=== doc/klipper/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION klipper )

=== debian/changelog ===
tdebase-trinity (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Oct 2025 14:12:20 +0100

=== debian/control ===
Source: tdebase-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Modestas Vainius <geromanas@mailas.com>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, init, libtirpc-dev, libldap2-dev, libncurses5-dev, libpam0g-dev, libpopt-dev, libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsensors-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsmbclient-dev, libusb-dev, libxtst-dev, libfontenc-dev, xscreensaver, xscreensaver-data, xscreensaver-data-extra, rss-glx, libxss-dev, libxcomposite-dev, libxdamage-dev, libxkbfile-dev, xkb-data, xutils, texinfo, htdig, libavahi-compat-libdnssd-dev (>= 0.4), x11proto-kb-dev, xmkmf | xutils-dev, libogg-dev, libavahi-tqt-dev, udev, libudev-dev, libdbus-1-dev, libconfig-dev, libart-2.0-dev (>= 4:14.0.0~), libssl-dev, libssh-dev
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, tdelibs14-trinity-doc
Build-Conflicts: nvidia-glx (<< 1.0.8774-6)
Standards-Version: 3.8.4

Package: tdebase-trinity
Section: tde
Architecture: all
Replaces: kdebase-trinity (<< 4:14.0.0~)
Breaks: kdebase-trinity (<< 4:14.0.0~)
Depends: kappfinder-trinity (>= ${source:Version}), kate-trinity (>= ${source:Version}), kcontrol-trinity (>= ${source:Version}), tdebase-trinity-bin (>= ${source:Version}), tdebase-data-trinity (>= ${source:Version}), tdebase-tdeio-plugins-trinity (>= ${source:Version}), tdepasswd-trinity (>= ${source:Version}), tdeprint-trinity (>= ${source:Version}), kdesktop-trinity (>= ${source:Version}), kfind-trinity (>= ${source:Version}), khelpcenter-trinity (>= ${source:Version}), kicker-trinity (>= ${source:Version}), klipper-trinity (>= ${source:Version}), kmenuedit-trinity (>= ${source:Version}), konqueror-nsplugins-trinity (>= ${source:Version}), konqueror-trinity (>= ${source:Version}), konsole-trinity (>= ${source:Version}), kpager-trinity (>= ${source:Version}), kpersonalizer-trinity (>= ${source:Version}), ksmserver-trinity (>= ${source:Version}), ksplash-trinity (>= ${source:Version}), ksysguard-trinity (>= ${source:Version}), ktip-trinity (>= ${source:Version}), twin-trinity (>= ${source:Version}), libkonq4-trinity (>= ${source:Version}), xcalib | argyll
Recommends: tdm-trinity (>= ${source:Version}), tdebase-runtime-data-common-trinity, libtqt3-integration-trinity
Suggests: tdebase-trinity-doc-html (>= ${source:Version})
Description: base components from the official TDE release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the nucleus of TDE, namely the minimal package
 set necessary to run TDE as a desktop environment. This includes the
 window manager, taskbar, control center, a text editor, file manager,
 web browser, X terminal emulator, and many other programs and components.

Package: tdebase-runtime-data-common-trinity
Section: tde
Architecture: all
Replaces: kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
Breaks: kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
Description: Shared common files for Trinity and KDE4
 .
 Shared common files for both Trinity and KDE4
 Such as the desktop right-click-"Create New" list

Package: kappfinder-trinity
Section: tde
Architecture: any
Replaces: kappfinder-trinity (<< 4:14.0.0~)
Breaks: kappfinder-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: non-TDE application finder for TDE
 kappfinder searches your workstation for many common applications and
 creates menu entries for them.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: kate-trinity
Section: editors
Architecture: any
Replaces: kate-trinity (<< 4:14.0.0~)
Breaks: kate-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: kregexpeditor-trinity
Suggests: aspell | ispell | hspell, kate-plugins-trinity, khelpcenter-trinity, konsole-trinity
Description: advanced text editor for TDE
 Kate is a multi document editor, based on a rewritten version of the kwrite
 editing widget of TDE.
 .
 It is a multi-view editor that lets you view several instances of the same
 document with all instances being synced, or view more files at the same
 time for easy reference or simultaneous editing. The terminal emulation
 and sidebar are docked windows that can be plugged out of the main window,
 or replaced therein according to your preference.
 .
 Some random features:
 .
  * Editing of big files
  * Extensible syntax highlighting
  * Folding
  * Dynamic word wrap
  * Selectable encoding
  * Filter command
  * Global grep dialog
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: kcontrol-trinity
Section: tde
Architecture: any
Replaces: kcontrol-trinity (<< 4:14.0.0~)
Breaks: kcontrol-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdebase-data-trinity (>> ${TDE-Version3}~), tdebase-data-trinity (<< ${TDE-Next-Version3}~), tdebase-runtime-data-common-trinity, usbutils
Recommends: udev
Suggests: khelpcenter-trinity, ntpdate | ntp-simple
Conflicts: tdebase-libs-trinity (<< 4:3.0.0)
Description: control center for TDE
 The Trinity Control Center provides you with a centralized and convenient
 way to configure all of your TDE settings.
 .
 It is made up of multiple modules. Each module is a separate application,
 but the control center organizes all of these programs into a convenient
 location.
 .
 In combination with udev KControl supports the advanced
 configuration of Logitech mice, though the user must be a member of the
 plugdev group.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-bin
Section: tde
Architecture: any
Replaces: kdebase-trinity-bin (<< 4:14.0.0~)
Breaks: kdebase-trinity-bin (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
Suggests: khelpcenter-trinity, gdb
Conflicts: tdebase-libs-trinity (<< 4:3.0.0), tdm-trinity (<< 4:3.4.1-2), tdebase-workspace-data-trinity (<< 7:3.5.0)
Description: core binaries for the TDE base module
 This package contains miscellaneous programs needed by other
 TDE applications, particularly those in the TDE base module.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-data-trinity
Section: tde
Architecture: all
Replaces: kdebase-data-trinity (<< 4:14.0.0~)
Breaks: kdebase-data-trinity (<< 4:14.0.0~)
Conflicts: kcontrol-trinity (<< 4:3.4.2-1), twin-trinity (<< 4:3.4.2-1), kicker-trinity (<< 4:3.4.2-1), kdf-trinity (<< 4:14.0.6~)
Description: shared data files for the TDE base module
 This package contains the architecture-independent shared data files
 needed for a basic Trinity desktop installation.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-dev
Section: devel
Architecture: any
Replaces: kdebase-trinity-dev (<< 4:14.0.0~)
Breaks: kdebase-trinity-dev (<< 4:14.0.0~)
Depends: kate-trinity (= ${source:Version}), kcontrol-trinity (= ${source:Version}), tdebase-trinity-bin (= ${source:Version}), tdeprint-trinity (= ${source:Version}), kdesktop-trinity (= ${source:Version}), khelpcenter-trinity (= ${source:Version}), kicker-trinity (= ${source:Version}), klipper-trinity (= ${source:Version}), kmenuedit-trinity (= ${source:Version}), konqueror-nsplugins-trinity (= ${source:Version}), konqueror-trinity (= ${source:Version}), konsole-trinity (= ${source:Version}), ksmserver-trinity (= ${source:Version}), ksplash-trinity (= ${source:Version}), ksysguard-trinity (= ${source:Version}), twin-trinity (= ${source:Version}), tdelibs14-trinity-dev
Description: development files for the TDE base module
 This package contains headers and other development files needed to
 compile software based on the TDE base module.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-doc
Section: doc
Architecture: all
Replaces: kdebase-trinity-doc (<< 4:14.0.0~)
Breaks: kdebase-trinity-doc (<< 4:14.0.0~)
Description: developer documentation for the TDE base module
 This package contains documentation for the TDE base module, of
 use more for developers creating applications than regular users.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdebase-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdebase-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: TDE base documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE base documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kate/. Documentation is provided for most
 TDE base packages.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-tdeio-plugins-trinity
Section: tde
Architecture: any
Replaces: kdebase-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdebase-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kdesktop-trinity, libsasl2-modules, psmisc, man-db (>= 2.5.1-1)
Recommends: udisks2 | udisks | pmount, cryptsetup, kamera-trinity, tdebase-tdeio-smb-trinity, tdemultimedia-tdeio-plugins-trinity
Suggests: khelpcenter-trinity, mtools
Conflicts: tdebase-libs-trinity (<< 4:3.0.0), mediamanager, konq-plugins-trinity (<< 4:14.1.0~), konqueror-trinity (<< 4:14.1.0~)
Description: core I/O slaves for TDE
 This package includes the base tdeioslaves. They include, amongst many
 others, file, http, ftp, smtp, pop and imap.
 .
 It also includes the media tdeioslave, which handles removable devices,
 and which works best with procfs, udev, and udisks2/udisks/pmount. Media
 also extends the functionality of many other tdeioslaves. To use this
 service, please make sure that your user is a member of the plugdev
 group.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-tdeio-smb-trinity
Section: tde
Architecture: any
Replaces: kdebase-kio-smb-trinity (<< 4:14.0.0~)
Breaks: kdebase-kio-smb-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kdesktop-trinity
Conflicts: kdebase-kio-plugins-trinity (<< 4:3.5.13.3~), tdebase-tdeio-plugins-trinity (<< 4:14.0.5~)
Description: SMB I/O slave for TDE
 This package includes SMB tdeioslave.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdepasswd-trinity
Section: utils
Architecture: any
Replaces: kdepasswd-trinity (<< 4:14.0.0~)

## tdebase-trinity 14.1.6~pre4

=== debian/changelog ===
tdebase-trinity (4:14.1.6~pre4-0ubuntu25.10.0+1) questing; urgency=low

  * Automated git build for 23b75093d5599baeb816bbf0163ade78d2201818
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Nov 2025 10:55:18 +0100

## tdebase-trinity 14.1.6~pre8

=== debian/changelog ===
tdebase-trinity (4:14.1.6~pre8-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 6c514d6b22662d7f50475ae357123ea6b82c8100
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 12:42:05 +0100

## tdebase-trinity 14.1.6~pre13

=== debian/changelog ===
tdebase-trinity (4:14.1.6~pre13-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for dbaf4cfc803255df10a1b5960f248110c55b4a9c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:12 +0100

## tdebase-trinity 14.1.6~pre32

=== debian/changelog ===
tdebase-trinity (4:14.1.6~pre32-0ubuntu25.10.0+1) questing; urgency=low

  * Automated git build for 5d4bc4c9233d7fb46819cf596cfbbcb90c3d780d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Jan 2026 11:32:35 +0100

## tdebase-trinity 14.1.6~pre33

=== debian/changelog ===
tdebase-trinity (4:14.1.6~pre33-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 4b8ce4610150b8de7b8f6714987ada2653d7e7e2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 21 Jan 2026 04:24:19 +0100

## tdebase-trinity 14.1.6~pre40

=== debian/changelog ===
tdebase-trinity (4:14.1.6~pre40-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 7681a181268022d001c380d288e2d67dc4da567d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 11 Feb 2026 10:53:07 +0100

## tdebase-trinity 14.1.6~pre52

=== debian/changelog ===
tdebase-trinity (4:14.1.6~pre52-0debian13.0.0+1) trixie; urgency=low

  * Automated git build for 3f1bf5f9b7ba847b84eb2eb509c8a4db7c371cac
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 19 Feb 2026 09:58:40 +0100

## tdebase-trinity 14.1.6~pre56

=== debian/changelog ===
tdebase-trinity (4:14.1.6~pre56-0debian13.0.0+1) trixie; urgency=low

  * Automated git build for 337664c5108e50c55cff203c68dc294743921372
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Feb 2026 22:31:42 +0100

## tdebase-trinity 14.1.6~pre57

=== kicker/taskbar/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/taskmanager
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES taskbar.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### taskbar (shared) ##########################

set( target taskbar )

set( ${target}_SRCS
  taskbarsettings.kcfgc taskcontainer.cpp taskbar.cpp
  taskbarcontainer.cpp taskbarcontainer.skel
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 1.2.0
  LINK kickermain-shared taskmanager-shared
  DEPENDENCIES kicker+libkicker+kickerSettings.cpp
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kicker/applets/clock/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/libkicker
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE clockapplet.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
  PO_DIR kicker-desktops
)
install( FILES lcd.png DESTINATION ${DATA_INSTALL_DIR}/clockapplet/pics )


##### clock_panelapplet (static) ######################

set( target clock_panelapplet )

set( ${target}_SRCS
  clock.skel clock.cpp datepicker.cpp zone.cpp
  analog.ui digital.ui fuzzy.ui settings.ui prefs.kcfgc
)

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
  DEPENDENCIES kicker+libkicker+kickerSettings.cpp
)

##### clock_panelapplet (module) ################

set( target clock_panelapplet )

set( ${target}_SRCS
  init.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK kickermain-shared clock_panelapplet-static kickermain
  DEPENDENCIES clock_panelapplet-static kicker+libkicker+kickerSettings.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kicker/applets/launcher/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/kicker/ui
  ${CMAKE_SOURCE_DIR}/kicker/kicker/core
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${DBUS_TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE quicklauncher.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
  PO_DIR kicker-desktops
)
install( FILES launcherapplet.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### launcher_panelapplet (module) #############

# NOTE: There we have a circular dependency,
#       for this reason I used -Wl,--start-group / -Wl,--end-group

tde_add_kpart( launcher_panelapplet AUTOMOC
  SOURCES
    quicklauncher.skel quicklauncher.cpp quickbutton.cpp
    quickaddappsmenu.cpp flowgridmanager.cpp popularity.cpp
    configdlgbase.ui prefs.kcfgc configdlg.cpp
  LINK
    -Wl,--start-group
      kicker_core-static kicker_buttons-static kicker_ui-static
    -Wl,--end-group
    kickermain-shared tdeutils-shared tdeabc-shared
  DEPENDENCIES kickermain-shared kicker+libkicker+kickerSettings.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kicker/kicker/core/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/kicker/ui
  ${CMAKE_SOURCE_DIR}/kicker/kicker/buttons
  ${DBUS_TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES default-apps DESTINATION ${DATA_INSTALL_DIR}/kicker )
tde_create_translated_desktop(
  SOURCE childpanelextension.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/extensions
  PO_DIR kicker-desktops
)


##### kicker_core (static) ######################

set( target kicker_core )

set( ${target}_SRCS
  extensionSettings.kcfgc main.cpp kicker.cpp kicker.skel
  userrectsel.cpp usersizesel.cpp containerarea.cpp kmenubase.ui
  applethandle.cpp container_base.cpp container_button.cpp
  container_applet.cpp container_extension.cpp extensionmanager.cpp
  menumanager.cpp pluginmanager.cpp showdesktop.cpp
  unhidetrigger.cpp containerarealayout.cpp
  panelextension.cpp panelextension.skel
)

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
  DEPENDENCIES kickermain-shared kicker+libkicker+kickerSettings.cpp
  LINK konq-shared
)

=== kicker/menuext/remote/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE remotemenu.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/menuext
  PO_DIR kicker-desktops
)


##### kickermenu_remotemenu (module) ############

tde_add_kpart( kickermenu_remotemenu AUTOMOC
  SOURCES remotemenu.cpp remotemenu.skel
  LINK kickermain-shared tdeui-shared
  DEPENDENCIES kicker+libkicker+kickerSettings.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdebase-trinity (4:14.1.6~pre57-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 4c8238cd4ca163bf057369ff9f458e6493261660
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Mar 2026 14:22:42 +0100
